'use strict';

var tslib_es6 = require('./tslib.es6-2c2ed574.js');
var React = require('react');
var core = require('@mantine/core');
var index$1 = require('./index-1e5e2223.js');
var index = require('./index-59a9827e.js');

function _interopDefault (e) { return e && e.__esModule ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const TextArea = (_a) => {
    var { styles } = _a, props = tslib_es6.__rest(_a, ["styles"]);
    const variantStyle = index.useTemplateVariant();
    const { classes } = index$1.useStyles({ variantStyle }, { name: 'MantineTextarea', styles });
    return (React__default["default"].createElement(core.Textarea, Object.assign({ classNames: {
            input: classes.input,
        }, minRows: 2, maxRows: 4 }, props)));
};

exports.TextArea = TextArea;
